Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  layout kopieren, umbenennen ans ende setzen mit einem klick?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   layout kopieren, umbenennen ans ende setzen mit einem klick? (260 mal gelesen)
anthu
Mitglied
schlosser


Sehen Sie sich das Profil von anthu an!   Senden Sie eine Private Message an anthu  Schreiben Sie einen Gästebucheintrag für anthu

Beiträge: 15
Registriert: 21.12.2005

erstellt am: 06. Jul. 2006 09:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo
gibts bei acad2006lt die möglichkeit mit einem klick, ein layout zu kopieren, unbenennen, ans ende zu setzen und aufzurufen?
ohne die vielen umständlichen zwischenschritte.

mfg
anthu

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 06. Jul. 2006 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für anthu 10 Unities + Antwort hilfreich

im LT IMHO : NEIN .. aber für LT-Fragen gibts auch ein LT-Forum!!

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

anthu
Mitglied
schlosser


Sehen Sie sich das Profil von anthu an!   Senden Sie eine Private Message an anthu  Schreiben Sie einen Gästebucheintrag für anthu

Beiträge: 15
Registriert: 21.12.2005

erstellt am: 06. Jul. 2006 10:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo
na dann eben nur für acad2006.
gibts da eine möglichkeit?

mfg
anthu

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 06. Jul. 2006 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für anthu 10 Unities + Antwort hilfreich


layoutkopie.VLX.txt

 
Zitat:
Original erstellt von anthu:
hallo
na dann eben nur für acad2006.
gibts da eine möglichkeit?

mfg
anthu


Ja, das läßt sich programmtechnisch , z.B. mit Lisp,umsetzen. Siehe Anhang.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 06. Jul. 2006 12:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für anthu 10 Unities + Antwort hilfreich

Naja, zwar kein LISP -Forum, aber so als Denkanstoss (oder einfach zum testen) ...
Code:

(defun C:LAYOUT_SORT (/ OBJDICT GRPDICT OUTLIST KEY SL N NN BB A3)
(setq OBJDICT (namedobjdict))
(setq GRPDICT (dictsearch OBJDICT "ACAD_LAYOUT"))
(setq KEY (getstring "\n ? / < ? > : "))
(if (= KEY "")
  (setq OUTLIST (acad_strlsort (LAYOUTLIST)))
  (setq OUTLIST (reverse (acad_strlsort (LAYOUTLIST))))
  ) ;_ Ende von if
(setq SL (length OUTLIST))
(setq NN 0)
(repeat SL
  (setq BB (nth NN OUTLIST))
  (setq N 2)
  (while (/= (cdr (assoc 1
                        (member '(100 . "AcDbLayout")
                                (entget (cdr (nth (+ 9 N) GRPDICT)))
                                ) ;_ Ende von member
                        ) ;_ Ende von assoc
                  ) ;_ Ende von cdr
            BB
            ) ;_ Ende von /=
  (setq N (+ 2 N))
  ) ;_ Ende von while
  (setq A3 (entget (cdr (nth (+ 9 N) GRPDICT))))
  (setq A3 (subst (cons 71 (+ 1 NN)) (assoc 71 A3) A3))
  (entmod A3)
  (setq NN (1+ NN))
  ) ;_ Ende von repeat
(command "_.regen")
(princ)
)



------------------
MfG Proxy

Bitte beachten Sie: Die Verwendung der hier bereitgestellten Signatur geschieht auf Ihre eigene Verantwortung. Diese Signatur wird ohne Gewähr auf Richtigkeit, Vollständigkeit und/oder Funktionalität, sowie ohne Anspruch auf Support zur Verfügung gestellt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 06. Jul. 2006 14:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für anthu 10 Unities + Antwort hilfreich

Hi,

als Makro unter LT geht's auch - bis auf das Erzeugen des neuen Layouts am Ende der Layoutliste.

So oder ähnlich sollte es aussehen (Habe leider kein LT zum Testen da), wenn das Layout einfach nur rechts neben dem aktuellen erzeugt werden soll:

Code:
^C^C_layout;_c;;setenv;"mylayoutname";\;_s;$(getenv,mylayoutname);

Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz